Index: trunk/examples/extended/hadronic/Hadr01/GNUmakefile
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/GNUmakefile	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/GNUmakefile	(revision 1230)
@@ -1,4 +1,4 @@
-# $Id: GNUmakefile,v 1.7 2006/10/31 15:05:33 vnivanch Exp $
-# GEANT4 tag $Name:  $
+# $Id: GNUmakefile,v 1.8 2008/06/13 15:41:34 vnivanch Exp $
+# GEANT4 tag $Name: geant4-09-03-cand-01 $
 # --------------------------------------------------------------
 # GNUmakefile for examples module with AIDA interface
@@ -16,15 +16,5 @@
 all: lib bin
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-# for the aida-config command see the README file
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/hadronic/Hadr01/hadr01.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/hadr01.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/hadr01.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: hadr01.cc,v 1.9 2006/11/24 16:48:57 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------
Index: trunk/examples/extended/hadronic/Hadr01/include/CheckVolumeSD.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/CheckVolumeSD.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/CheckVolumeSD.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: CheckVolumeSD.hh,v 1.3 2006/06/29 17:23:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/DetectorConstruction.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.4 2006/06/29 17:23:28 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/DetectorMessenger.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.7 2007/05/16 11:43:30 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/include/EventAction.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/EventAction.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.3 2006/06/29 17:23:34 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/EventActionMessenger.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 17:23:36 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/include/Histo.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/Histo.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/Histo.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: Histo.hh,v 1.6 2007/05/24 13:52:31 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 
 #ifndef Histo_h
Index: trunk/examples/extended/hadronic/Hadr01/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/HistoManager.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/HistoManager.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HistoManager.hh,v 1.8 2007/05/16 11:43:30 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: HistoManager.hh,v 1.9 2009/08/28 09:21:34 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -122,4 +122,7 @@
   G4double edepMax;
   G4double edepEvt;
+  G4double edepEM;
+  G4double edepPI;
+  G4double edepP;
   G4double edepSum;
   G4double edepSum2;
Index: trunk/examples/extended/hadronic/Hadr01/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/HistoMessenger.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/HistoMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.5 2006/11/15 14:58:10 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/PhysicsList.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/PhysicsList.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.hh,v 1.6 2007/11/14 18:59:08 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/PhysicsListMessenger.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/PhysicsListMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.3 2006/06/29 17:23:50 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/hadronic/Hadr01/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/PrimaryGeneratorAction.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.3 2006/06/29 17:23:52 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/hadronic/Hadr01/include/StackingAction.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/StackingAction.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/StackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.hh,v 1.3 2006/06/29 17:23:56 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/include/StackingMessenger.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/StackingMessenger.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/StackingMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.hh,v 1.3 2006/06/29 17:23:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/hadronic/Hadr01/include/TargetSD.hh
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/include/TargetSD.hh	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/include/TargetSD.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TargetSD.hh,v 1.4 2006/06/29 17:24:00 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/CheckVolumeSD.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/CheckVolumeSD.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/CheckVolumeSD.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: CheckVolumeSD.cc,v 1.3 2006/06/29 17:24:02 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/DetectorConstruction.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/DetectorConstruction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.6 2006/10/04 09:56:03 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/DetectorMessenger.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.7 2007/05/16 11:43:30 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/EventAction.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/EventAction.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/EventAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.4 2007/05/16 11:43:30 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/EventActionMessenger.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/EventActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.3 2006/06/29 17:24:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/Histo.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/Histo.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/Histo.cc	(revision 1230)
@@ -51,9 +51,9 @@
   verbose    = ver;
   histName   = "histo";
-  histType   = "hbook";
+  histType   = "root";
   option     = "--noErrors uncompress";
   nHisto     = 0;
   defaultAct = 1;
-  tupleName  = "tuple.hbook";
+  tupleName  = "tree.root";
   tupleId    = "100";
   tupleList  = "";
Index: trunk/examples/extended/hadronic/Hadr01/src/HistoManager.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/HistoManager.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/HistoManager.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HistoManager.cc,v 1.14 2007/05/24 13:52:31 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: HistoManager.cc,v 1.16 2009/09/02 10:21:32 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -90,5 +90,5 @@
   nSlices   = 300;
   nBinsE    = 100;
-  nHisto    = 22;
+  nHisto    = 25;
   length    = 300.*mm;
   edepMax   = 1.0*GeV;
@@ -133,6 +133,12 @@
   histo->add1D("20","Log10 Energy (MeV) of pi+",nBinsE,-4.,6.,1.0);
   histo->add1D("21","Log10 Energy (MeV) of pi-",nBinsE,-4.,6.,1.0);
-  histo->add1D("22","Energy deposition (GeV) in the target",
-	       nBinsE,0.0,edepMax,GeV);
+  histo->add1D("22","Energy deposition in the target normalized to beam energy",
+	       110,0.0,1.1,1.0);
+  histo->add1D("23","EM energy deposition in the target normalized to beam energy",
+	       110,0.0,1.1,1.0);
+  histo->add1D("24","Pion energy deposition in the target normalized to beam energy",
+	       110,0.0,1.1,1.0);
+  histo->add1D("25","Proton energy deposition in the target normalized to beam energy",
+	       110,0.0,1.1,1.0);
 }
 
@@ -256,4 +262,7 @@
 {
   edepEvt = 0.0;
+  edepEM  = 0.0;
+  edepPI  = 0.0;
+  edepP   = 0.0;
 }
 
@@ -264,5 +273,8 @@
   edepSum  += edepEvt;
   edepSum2 += edepEvt*edepEvt;
-  histo->fill(21,edepEvt,1.0);
+  histo->fill(21,edepEvt/primaryKineticEnergy,1.0);
+  histo->fill(22,edepEM/primaryKineticEnergy,1.0);
+  histo->fill(23,edepPI/primaryKineticEnergy,1.0);
+  histo->fill(24,edepP/primaryKineticEnergy,1.0);
 }
 
@@ -372,4 +384,14 @@
     edepEvt += edep;
     histo->fill(0,z,edep);
+    const G4ParticleDefinition* pd = currentDef;
+
+    if(pd == G4Gamma::Gamma() || pd == G4Electron::Electron() 
+       || pd == G4Positron::Positron()) {
+      edepEM += edep;
+    } else if ( pd == G4PionPlus::PionPlus() || pd == G4PionMinus::PionMinus()) {
+      edepPI += edep;
+    } else if ( pd == G4Proton::Proton() || pd == G4AntiProton::AntiProton()) {
+      edepP  += edep;
+    }
 
     if(1 < verbose) 
Index: trunk/examples/extended/hadronic/Hadr01/src/HistoMessenger.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/HistoMessenger.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/HistoMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: HistoMessenger.cc,v 1.5 2006/06/29 17:24:18 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/PhysicsList.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/PhysicsList.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysicsList.cc,v 1.24 2007/12/12 12:00:24 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.cc,v 1.31 2009/08/28 09:21:34 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
@@ -45,4 +45,5 @@
 
 #include "G4DecayPhysics.hh"
+#include "G4EmStandardPhysics_option3.hh"
 #include "G4EmStandardPhysics_option2.hh"
 #include "G4EmStandardPhysics_option1.hh"
@@ -52,4 +53,5 @@
 #include "G4HadronQElasticPhysics.hh"
 #include "G4HadronHElasticPhysics.hh"
+#include "G4ChargeExchangePhysics.hh"
 #include "G4NeutronTrackingCut.hh"
 #include "G4QStoppingPhysics.hh"
@@ -60,15 +62,15 @@
 #include "G4EmProcessOptions.hh"
 
-#include "HadronPhysicsFTFC.hh"
+#include "HadronPhysicsFTFP_BERT_TRV.hh"
 #include "HadronPhysicsFTFP.hh"
 #include "HadronPhysicsFTFP_BERT.hh"
+#include "HadronPhysicsFTF_BIC.hh"
 #include "HadronPhysicsLHEP.hh"
-#include "HadronPhysicsLHEP_BERT.hh"
 #include "HadronPhysicsLHEP_EMV.hh"
-#include "HadronPhysicsLHEP_PRECO_HP.hh"
 #include "G4HadronInelasticQBBC.hh"
 #include "HadronPhysicsQGSC.hh"
 #include "HadronPhysicsQGSC_BERT.hh"
-#include "HadronPhysicsQGSC_EFLOW.hh"
+#include "HadronPhysicsQGSC_CHIPS.hh"
+#include "HadronPhysicsQGSC_QGSC.hh"
 #include "HadronPhysicsQGSP.hh"
 #include "HadronPhysicsQGSP_BERT.hh"
@@ -76,8 +78,9 @@
 #include "HadronPhysicsQGSP_BIC.hh"
 #include "HadronPhysicsQGSP_BIC_HP.hh"
+#include "HadronPhysicsQGSP_FTFP_BERT.hh"
+#include "HadronPhysicsQGS_BIC.hh"
 
 #include "G4HadronInelasticQLHEP.hh"
 #include "G4IonPhysics.hh"
-#include "G4HadronProcessStore.hh"
 
 #include "G4LossTableManager.hh"
@@ -100,4 +103,5 @@
   cutForPositron  = defaultCutValue;
   dump            = false;
+  verboseLevel    = 1;
 
   pMessenger = new PhysicsListMessenger(this);
@@ -139,6 +143,4 @@
     hadronPhys[i]->ConstructProcess();
   }
-
-  if(dump) G4HadronProcessStore::Instance()->Dump(1);
 }
 
@@ -155,4 +157,9 @@
     emPhysicsList = new G4EmStandardPhysics_option2();
 
+  } else if (name == "emstandard_opt3") {
+
+    delete emPhysicsList;
+    emPhysicsList = new G4EmStandardPhysics_option3();
+
   } else if (name == "emstandard_opt1") {
 
@@ -160,9 +167,13 @@
     emPhysicsList = new G4EmStandardPhysics_option1();
 
-  } else if (name == "FTFC") {
-
-    SetBuilderList1();
-    hadronPhys.push_back( new HadronPhysicsFTFC("hadron",true));
-    dump = true;
+  } else if (name == "FTFP_BERT_EMV") {
+
+    AddPhysicsList("emstandard_opt1");
+    AddPhysicsList("FTFP_BERT");
+
+  } else if (name == "FTFP_BERT_EMX") {
+
+    AddPhysicsList("emstandard_opt2");
+    AddPhysicsList("FTFP_BERT");
 
   } else if (name == "FTFP") {
@@ -178,8 +189,15 @@
     dump = true;
 
-  } else if (name == "FTFP_EMV") {
-
-    AddPhysicsList("emstandard_opt1");
-    AddPhysicsList("FTFP");
+  } else if (name == "FTFP_BERT_TRV") {
+
+    SetBuilderList1();
+    hadronPhys.push_back( new HadronPhysicsFTFP_BERT_TRV("hadron",true));
+    dump = true;
+
+  } else if (name == "FTF_BIC") {
+
+    SetBuilderList0();
+    hadronPhys.push_back( new HadronPhysicsFTF_BIC("hadron",true));
+    dump = true;
 
   } else if (name == "LHEP") {
@@ -187,10 +205,4 @@
     SetBuilderList2();
     hadronPhys.push_back( new HadronPhysicsLHEP("hadron"));
-    dump = true;
-
-  } else if (name == "LHEP_BERT") {
-
-    SetBuilderList3();
-    hadronPhys.push_back( new HadronPhysicsLHEP_BERT("hadron"));
     dump = true;
 
@@ -202,15 +214,22 @@
     dump = true;
 
-  } else if (name == "LHEP_PRECO_HP") {
-
-    SetBuilderList3(true);
-    hadronPhys.push_back( new HadronPhysicsLHEP_PRECO_HP("hadron"));
-    dump = true;
-
   } else if (name == "QBBC") {
 
     SetBuilderList0();
     hadronPhys.push_back( new G4HadronInelasticQBBC("QBBC",verboseLevel,
-						    false,false,false,false,true));
+						    false,true,false,false,false));
+
+  } else if (name == "QBBCG") {
+
+    SetBuilderList0();
+    hadronPhys.push_back( new G4ChargeExchangePhysics(verboseLevel,false));
+    hadronPhys.push_back( new G4HadronInelasticQBBC("QBBC",verboseLevel,
+						    false,true,false,false,true));
+  } else if (name == "QBBCF") {
+
+    SetBuilderList0();
+    hadronPhys.push_back( new G4ChargeExchangePhysics(verboseLevel,false));
+    hadronPhys.push_back( new G4HadronInelasticQBBC("QBBC",verboseLevel,
+						    false,true,false,false,false));
 
   } else if (name == "QBBC_DEL") {
@@ -243,8 +262,14 @@
     dump = true;
 
-  } else if (name == "QGSC_EFLOW") {
+  } else if (name == "QGSC_CHIPS") {
 
     SetBuilderList4();
-    hadronPhys.push_back( new HadronPhysicsQGSC_EFLOW("hadron",true));
+    hadronPhys.push_back( new HadronPhysicsQGSC_CHIPS("hadron",true));
+    dump = true;
+
+  } else if (name == "QGSC_QGSC") {
+
+    SetBuilderList4();
+    hadronPhys.push_back( new HadronPhysicsQGSC_QGSC("hadron",true));
     dump = true;
 
@@ -266,4 +291,10 @@
     dump = true;
 
+  } else if (name == "QGSP_FTFP_BERT") {
+
+    SetBuilderList1();
+    hadronPhys.push_back( new HadronPhysicsQGSP_FTFP_BERT("hadron",true));
+    dump = true;
+
   } else if (name == "QGSP_BERT_EMV") {
 
@@ -271,4 +302,9 @@
     AddPhysicsList("QGSP_BERT");
 
+  } else if (name == "QGSP_BERT_EMX") {
+
+    AddPhysicsList("emstandard_opt2");
+    AddPhysicsList("QGSP_BERT");
+
   } else if (name == "QGSP_BERT_HP") {
 
@@ -282,4 +318,10 @@
     dump = true;
 
+  } else if (name == "QGS_BIC") {
+
+    SetBuilderList0();
+    hadronPhys.push_back( new HadronPhysicsQGS_BIC("hadron",true));
+    dump = true;
+
   } else if (name == "QGSP_BIC_HP") {
 
@@ -288,36 +330,8 @@
     dump = true;
 
-  } else if (name == "QGSP_DIF") {
-
-    SetBuilderList1();
-    HadronPhysicsQGSP * hp = new HadronPhysicsQGSP("hadron");
-    hp->SetQuasiElastic(true);
-    hp->SetProjectileDiffraction(true);
-    hadronPhys.push_back(hp);
-    dump = true;
-
-  } else if (name == "QGSP_EMV") {
-
-    AddPhysicsList("emstandard_opt1");
-    AddPhysicsList("QGSP");
-    dump = true;
-
-  } else if (name == "QGSP_EMX") {
-
-    AddPhysicsList("emstandard_opt2");
-    AddPhysicsList("QGSP");
-    dump = true;
-
-  } else if (name == "QGSP_NQE") {
-
-    SetBuilderList1();
-    hadronPhys.push_back( new HadronPhysicsQGSP("hadron",false));
-    dump = true;
-
-  } else if (name == "QGSP_QEL") {
-
-    SetBuilderList4();
-    hadronPhys.push_back( new HadronPhysicsQGSP("hadron",true));
-    dump = true;
+  } else if (name == "QGSP_BIC_EMY") {
+
+    AddPhysicsList("emstandard_opt3");
+    AddPhysicsList("QGSP_BIC");
 
   } else {
@@ -338,5 +352,5 @@
   hadronPhys.push_back( new G4QStoppingPhysics("stopping",verboseLevel));
   hadronPhys.push_back( new G4IonBinaryCascadePhysics("ionBIC"));
-  hadronPhys.push_back( new G4NeutronTrackingCut("Neutron tracking cut"));
+  hadronPhys.push_back( new G4NeutronTrackingCut("nTackingCut",verboseLevel));
 }
 
@@ -350,5 +364,5 @@
   hadronPhys.push_back( new G4QStoppingPhysics("stopping",verboseLevel));
   hadronPhys.push_back( new G4IonPhysics("ion"));
-  hadronPhys.push_back( new G4NeutronTrackingCut("Neutron tracking cut"));
+  hadronPhys.push_back( new G4NeutronTrackingCut("nTackingCut",verboseLevel));
 }
 
@@ -382,5 +396,5 @@
   hadronPhys.push_back( new G4QStoppingPhysics("stopping",verboseLevel));
   hadronPhys.push_back( new G4IonPhysics("ion"));
-  hadronPhys.push_back( new G4NeutronTrackingCut("Neutron tracking cut"));
+  hadronPhys.push_back( new G4NeutronTrackingCut("nTackingCut",verboseLevel));
 }
 
@@ -393,5 +407,5 @@
   hadronPhys.push_back( new G4QStoppingPhysics("stopping",verboseLevel));
   hadronPhys.push_back( new G4IonBinaryCascadePhysics("ionBIC"));
-  hadronPhys.push_back( new G4NeutronTrackingCut("Neutron tracking cut"));
+  hadronPhys.push_back( new G4NeutronTrackingCut("nTackingCut",verboseLevel));
 }
 
@@ -404,5 +418,5 @@
   hadronPhys.push_back( new G4QStoppingPhysics("stopping",verboseLevel));
   hadronPhys.push_back( new G4IonBinaryCascadePhysics("ionBIC"));
-  hadronPhys.push_back( new G4NeutronTrackingCut("Neutron tracking cut"));
+  hadronPhys.push_back( new G4NeutronTrackingCut("nTackingCut",verboseLevel));
 }
 
@@ -452,14 +466,12 @@
 void PhysicsList::List()
 {
-  G4cout << "### PhysicsLists available: FTFC FTFP FTFP_BERT FTFP_EMV LHEP LHEP_BERT LHEP_EMV "
+  G4cout << "### PhysicsLists available: FTFP FTFP_BERT FTFP_BERT_EMV FTFP_BERT_EMX FTFP_BERT_TRV FTF_BIC LHEP LHEP_EMV"
 	 << G4endl;
-  G4cout << "                            LHEP_PRECO_HP QBBC QBBC_DEL QBBC_HEL QBBC_HP QGSC "
+  G4cout << "                            QBBC QBBC_DEL QBBC_HEL QBBC_HP QGSC "
 	 << G4endl; 
-  G4cout << "                            QGSC_BERT QGSC_EFLOW QGSC_EMV QGSP QGSP_BERT QGSP_BER_EMV "
+  G4cout << "                            QGSC_BERT QGSC_CHIPS QGSC_QGSC QGSC_EMV QGSP QGSP_BERT QGSP_BER_EMV "
 	 << G4endl; 
-  G4cout << "                            QGSP_BERT_HP QGSP_BIC QGSP_BIC_HP QGSP_DIF " 
+  G4cout << "                            QGSP_BERT_EMX QGSP_BERT_HP QGSP_BIC QGSP_BIC_HP QGSP_FTFP_BERT " 
 	 << G4endl; 
-  G4cout << "                            QGSP_EMV QGSP_EMX QGSP_NQE QGSP_QEL  "
-	 << G4endl; 
 }
 
Index: trunk/examples/extended/hadronic/Hadr01/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/PhysicsListMessenger.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/PhysicsListMessenger.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.4 2006/08/11 14:38:11 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/hadronic/Hadr01/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/PrimaryGeneratorAction.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.4 2006/11/15 14:58:10 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/RunAction.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/RunAction.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/RunAction.cc	(revision 1230)
@@ -40,5 +40,4 @@
 #include "G4UImanager.hh"
 #include "G4VVisManager.hh"
-#include "G4HadronProcessStore.hh"
 #include "G4NistManager.hh"
 #include "G4Element.hh"
Index: trunk/examples/extended/hadronic/Hadr01/src/StackingAction.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/StackingAction.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/StackingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.cc,v 1.5 2006/10/04 09:56:03 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/StackingMessenger.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/StackingMessenger.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/StackingMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.cc,v 1.3 2006/06/29 17:24:32 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////
Index: trunk/examples/extended/hadronic/Hadr01/src/TargetSD.cc
===================================================================
--- trunk/examples/extended/hadronic/Hadr01/src/TargetSD.cc	(revision 812)
+++ trunk/examples/extended/hadronic/Hadr01/src/TargetSD.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TargetSD.cc,v 1.4 2006/06/29 17:24:34 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 /////////////////////////////////////////////////////////////////////////