Index: trunk/source/geometry/magneticfield/test/NTST/src/NTSTDetectorConstruction.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/NTST/src/NTSTDetectorConstruction.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/NTST/src/NTSTDetectorConstruction.cc	(revision 1231)
@@ -53,4 +53,5 @@
 #include "G4RKG3_Stepper.hh"
 #include "G4HelixMixedStepper.hh"
+#include "G4NystromRK4.hh"
 
 #include "G4DELPHIMagField.hh"
@@ -210,16 +211,17 @@
   pEquation = new G4Mag_UsualEqRhs( &field); 
  
-  // pStepper = 
-  //           new G4ClassicalRK4( pEquation ); 
-  //           new G4RKG3_Stepper( fEquation );  // Nystrom, like Geant3 
-  // pStepper= new G4SimpleRunge( pEquation );
-  // pStepper= new G4CashKarpRKF45( pEquation );
-  pStepper= new G4HelixMixedStepper( pEquation );
+  // pStepper =   
+  //           new G4ClassicalRK4( pEquation ); G4cout << "Stepper is " << "ClassicalRK4" << G4endl;
+  //           new G4RKG3_Stepper( pEquation );  // Nystrom, like Geant3 
+  // pStepper= new G4SimpleRunge( pEquation ); G4cout << "Stepper is " << "CashKarpRKF45" << G4endl;
+  // pStepper= new G4CashKarpRKF45( pEquation ); G4cout << "Stepper is " << "CashKarpRKF45" << G4endl;
+  // pStepper= new G4HelixMixedStepper( pEquation ); G4cout << "Stepper is " << "HelixMixed" << G4endl;
   // pStepper=  StepperFactory::CreateStepper( order ); 
 
-  G4cout << "Stepper is " 
-    //   << "CashKarpRKF45" << G4endl;
+  pStepper= new G4NystromRK4( pEquation ); G4cout << "Stepper is " << "NystromRK4" << G4endl;
+
+    // G4cout << "Stepper is " << "CashKarpRKF45" << G4endl;
     //	 << "ClassicalRK4" << G4endl;
-	 << " G4HelixMixedStepper " << G4endl;
+    //   << " G4HelixMixedStepper " << G4endl;
 
   // globalFieldManager->CreateChordFinder( (G4MagneticField *)&field );
Index: trunk/source/geometry/magneticfield/test/OtherFields/testDelphiField.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/OtherFields/testDelphiField.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/OtherFields/testDelphiField.cc	(revision 1231)
@@ -26,5 +26,5 @@
 //
 // $Id: testDelphiField.cc,v 1.7 2006/06/29 18:26:40 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 //  
Index: trunk/source/geometry/magneticfield/test/OtherFields/testHarmonicPolMagField.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/OtherFields/testHarmonicPolMagField.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/OtherFields/testHarmonicPolMagField.cc	(revision 1231)
@@ -26,5 +26,5 @@
 //
 // $Id: testHarmonicPolMagField.cc,v 1.7 2006/06/29 18:26:43 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 //  
Index: trunk/source/geometry/magneticfield/test/field02/field02.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/field02/field02.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/field02/field02.cc	(revision 1231)
@@ -26,5 +26,5 @@
 //
 // $Id: field02.cc,v 1.2 2006/06/29 18:27:02 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/geometry/magneticfield/test/field03/field03.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/field03/field03.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/field03/field03.cc	(revision 1231)
@@ -26,5 +26,5 @@
 //
 // $Id: field03.cc,v 1.2 2006/06/29 18:28:57 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/geometry/magneticfield/test/field06/exampleS5.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/field06/exampleS5.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/field06/exampleS5.cc	(revision 1231)
@@ -26,5 +26,5 @@
 //
 // $Id: exampleS5.cc,v 1.2 2007/05/02 14:59:26 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/geometry/magneticfield/test/testProElectroMagField.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/testProElectroMagField.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/testProElectroMagField.cc	(revision 1231)
@@ -26,5 +26,5 @@
 //
 // $Id: testProElectroMagField.cc,v 1.16 2006/06/29 18:25:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name:  $
 //
 //  
Index: trunk/source/geometry/magneticfield/test/testProPerpSpin.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/testProPerpSpin.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/testProPerpSpin.cc	(revision 1231)
@@ -26,5 +26,5 @@
 //
 // $Id: testProPerpSpin.cc,v 1.17 2006/06/29 18:25:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name:  $
 //
 //  
Index: trunk/source/geometry/magneticfield/test/testPropagateMagField.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/testPropagateMagField.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/testPropagateMagField.cc	(revision 1231)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: testPropagateMagField.cc,v 1.32 2007/07/06 14:16:47 japost Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// $Id: testPropagateMagField.cc,v 1.33 2009/11/05 13:18:05 japost Exp $
+// GEANT4 tag $Name:  $
 //
 //  
@@ -53,6 +53,4 @@
 #include "G4RotationMatrix.hh"
 #include "G4ThreeVector.hh"
-
-#include "G4UniformMagField.hh"
 
 #include "G4ios.hh"
@@ -222,4 +220,8 @@
     return worldPhys;
 }
+
+#include "G4UniformMagField.hh"
+#include "G4QuadrupoleMagField.hh"
+#include "G4CachedMagneticField.hh"
 
 #include "G4ChordFinder.hh"
@@ -240,8 +242,11 @@
 #include "G4CashKarpRKF45.hh"
 #include "G4RKG3_Stepper.hh"
+#include "G4ConstRK4.hh"
+#include "G4NystromRK4.hh"
 #include "G4HelixMixedStepper.hh"
 
-G4UniformMagField myMagField(10.*tesla, 0., 0.); 
-
+G4UniformMagField      uniformMagField(10.*tesla, 0., 0.); 
+G4QuadrupoleMagField   quadrupoleMagField( 10.*tesla/(50.*cm) ); 
+G4CachedMagneticField  myMagField( &quadrupoleMagField, 1.0 * cm); 
 
 G4FieldManager* SetupField(G4int type)
@@ -266,4 +271,6 @@
       case 10: pStepper = new G4RKG3_Stepper( fEquation );       break;
       case 11: pStepper = new G4HelixMixedStepper( fEquation );  break;
+      case 12: pStepper = new G4ConstRK4( fEquation ); break;
+      case 13: pStepper = new G4NystromRK4( fEquation ); break; 
       default: 
         pStepper = 0;
@@ -448,4 +455,7 @@
 	  physStep *= 2.; 
        } // ...........................  end for ( istep )
+
+       myMagField.ReportStatistics(); 
+
     }    // ..............................  end for ( iparticle )
 
Index: trunk/source/geometry/magneticfield/test/testPropagateSpin.cc
===================================================================
--- trunk/source/geometry/magneticfield/test/testPropagateSpin.cc	(revision 1202)
+++ trunk/source/geometry/magneticfield/test/testPropagateSpin.cc	(revision 1231)
@@ -26,5 +26,5 @@
 //
 // $Id: testPropagateSpin.cc,v 1.17 2006/06/29 18:25:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name:  $
 //
 //  