Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 1291)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 1295)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateQtViewer.cc,v 1.18 2010/03/10 11:03:46 lgarnier Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: vis-V09-03-06 $
 //
 //
@@ -82,6 +82,6 @@
   //   glDrawBuffer (GL_FRONT); // FIXME : Ne marche pas avec cette ligne, mais affiche le run correctement...
   // clear the buffers and window.
-  //   ClearView ();
-  //   FinishView ();
+  ClearView ();
+  FinishView ();
 
   glDepthFunc (GL_LEQUAL);
@@ -105,5 +105,5 @@
 
 #ifdef G4DEBUG_VIS_OGL
-  printf("G4OpenGLImmediateQtViewer::ComputeView %d %d &:%d  VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n",getWinWidth(), getWinHeight(),this);
+  printf("G4OpenGLImmediateQtViewer::ComputeView %d %d   VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n",getWinWidth(), getWinHeight());
 #endif
   makeCurrent();
@@ -156,5 +156,5 @@
 {
 #ifdef G4DEBUG_VIS_OGL
-  printf("\n\nG4OpenGLImmediateQtViewer::paintGL  &: %d??\n",this);
+  printf("\n\nG4OpenGLImmediateQtViewer::paintGL ??\n");
 #endif
   if (!fReadyToPaint) {
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateSceneHandler.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateSceneHandler.cc	(revision 1291)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateSceneHandler.cc	(revision 1295)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateSceneHandler.cc,v 1.32 2010/05/29 15:52:49 allison Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: vis-V09-03-06 $
 //
 // 
@@ -208,7 +208,4 @@
 void G4OpenGLImmediateSceneHandler::RequestPrimitives (const G4VSolid& solid)
 {
-#ifdef G4DEBUG_VIS_OGL
-  //  printf("G4OpenGLImmediateSceneHandler::RequestPrimitives \n");
-#endif
   if (fReadyForTransients) {
     // Always draw transient solids, e.g., hits represented as solids.
@@ -246,10 +243,7 @@
   // Else invoke base class method...
   G4VSceneHandler::RequestPrimitives (solid);
-#ifdef G4DEBUG_VIS_OGL
-  //  printf("G4OpenGLImmediateSceneHandler::RequestPrimitives END\n");
+}
+
+G4int G4OpenGLImmediateSceneHandler::fSceneIdCount = 0;
+
 #endif
-}
-
-G4int G4OpenGLImmediateSceneHandler::fSceneIdCount = 0;
-
-#endif
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 1291)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 1295)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredQtViewer.cc,v 1.29 2010/03/10 11:03:46 lgarnier Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: vis-V09-03-06 $
 //
 //
@@ -85,6 +85,6 @@
 
   // clear the buffers and window.
-  //   ClearView ();
-  //   FinishView ();
+  ClearView ();
+  FinishView ();
    
   glDepthFunc (GL_LEQUAL);
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredViewer.cc	(revision 1291)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredViewer.cc	(revision 1295)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredViewer.cc,v 1.26 2009/04/08 16:55:44 lgarnier Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: vis-V09-03-06 $
 //
 // 
@@ -126,5 +126,5 @@
 void G4OpenGLStoredViewer::DrawDisplayLists () {
 #ifdef G4DEBUG_VIS_OGL
-  //      printf("G4OpenGLStoredViewer::DrawDisplayLists \n");
+      printf("G4OpenGLStoredViewer::DrawDisplayLists \n");
 #endif
 
@@ -134,9 +134,9 @@
   size_t nPasses = cutawayUnion? cutaways.size(): 1;
 #ifdef G4DEBUG_VIS_OGL
-  //  printf("G4OpenGLStoredViewer::DrawDisplayLists");
+  printf("G4OpenGLStoredViewer::DrawDisplayLists");
 #endif
   for (size_t i = 0; i < nPasses; ++i) {
 #ifdef G4DEBUG_VIS_OGL
-    //    printf("+");
+    printf("+");
 #endif
 
@@ -156,5 +156,5 @@
     for (size_t i = 0; i < fG4OpenGLStoredSceneHandler.fTOList.size(); ++i) {
 #ifdef G4DEBUG_VIS_OGL
-      //      printf("-");
+      printf("-");
 #endif
       G4OpenGLStoredSceneHandler::TO& to =
@@ -179,5 +179,5 @@
   }
 #ifdef G4DEBUG_VIS_OGL
-  //      printf("\n");
+      printf("\n");
 #endif
 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredXViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredXViewer.cc	(revision 1291)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredXViewer.cc	(revision 1295)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredXViewer.cc,v 1.26 2010/05/29 15:56:50 allison Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: vis-V09-03-06 $
 //
 // 
@@ -57,10 +57,5 @@
 }
 
-G4OpenGLStoredXViewer::~G4OpenGLStoredXViewer () {
-#ifdef G4DEBUG_VIS_OGL
-  printf("G4OpenGLStoredXViewer::~G4OpenGLStoredXViewer DELETE\n");
-#endif
-  //  GetSceneHandler()->RemoveViewerFromList(this);
-}
+G4OpenGLStoredXViewer::~G4OpenGLStoredXViewer () {}
 
 void G4OpenGLStoredXViewer::Initialise () {