Index: /additional/scripts/specific-geant4-dev-10.5-Qt-OI.sh
===================================================================
--- /additional/scripts/specific-geant4-dev-10.5-Qt-OI.sh	(revision 1296)
+++ /additional/scripts/specific-geant4-dev-10.5-Qt-OI.sh	(revision 1297)
@@ -53,5 +53,5 @@
 #  unset G4VIS_USE_OPENGLXM
 #  unset G4VIS_USE_OPENGLX
-#  export G4UI_BUILD_OI_SESSION=1
+  export G4UI_BUILD_OI_SESSION=1
 
   export G4VIS_BUILD_OPENGLQT_DRIVER=1
@@ -66,8 +66,8 @@
 #  export OIVHOME="/Library/Frameworks/Inventor.framework"
 # Coin 2.5
-  export OIVHOME="/sw"
+  export OIVHOME="/Library/Frameworks/Inventor.framework"
 
-  export OIVFLAGS="-I ${OIVHOME}/Headers -I ${OIVHOME}/include -I ${COINXTHOME}/include/"
-  export OIVLIBS="-L${OIVHOME}/Libraries -L${OIVHOME}/lib -lCoin -L${COINXTHOME}/lib -lSoXt"
+  export OIVFLAGS="-I ${OIVHOME}/Headers -I ${COINXTHOME}/include/"
+  export OIVLIBS="-L${OIVHOME}/Libraries -lCoin -L${COINXTHOME}/lib -lSoXt"
 
   export G4VIS_BUILD_OIX_DRIVER=1
Index: /additional/scripts/specific-geant4-dev-10.5-Qt.sh
===================================================================
--- /additional/scripts/specific-geant4-dev-10.5-Qt.sh	(revision 1296)
+++ /additional/scripts/specific-geant4-dev-10.5-Qt.sh	(revision 1297)
@@ -60,4 +60,10 @@
 
 
+  export G4VIS_BUILD_RAYTRACERX_DRIVER=1
+  export G4VIS_USE_RAYTRACERX=1
+
+  export G4VIS_BUILD_OIX_DRIVER=1
+  export G4VIS_USE_OIX=1
+
   export G4VIS_BUILD_OPENGLQT_DRIVER=1
   export G4VIS_USE_OPENGLQT=1
@@ -67,25 +73,26 @@
   #export G4VIS_BUILD_OIX_DRIVER=1
   #export G4VIS_USE_OIX=1
-  unset G4VIS_USE_OIX
-  unset G4VIS_BUILD_OIX_DRIVER
+  #  unset G4VIS_USE_OIX
+  #  unset G4VIS_BUILD_OIX_DRIVER
   # SGI-Inventor :
   # Darwin : Tiger, g++4.0 out.
-  #export OIVHOME /usr/local/SGI-Inventor/2.1.5.10/macos104_gcc40/usr
+  export COINXTHOME="/usr/local/SoXt/1.2.2/"
+  export OIVHOME="/sw"
+  export OIVFLAGS="-I ${OIVHOME}/Headers -I ${OIVHOME}/include -I ${COINXTHOME}/include/"
+  export OIVLIBS="-L${OIVHOME}/Libraries -L${OIVHOME}/lib -lCoin -L${COINXTHOME}/lib -lSoXt"
   export DYLD_LIBRARY_PATH=${G4LIB}/${G4SYSTEM}
   # OpenScientist RTK Coin* :
   #export OIVHOME /Applications/OpenScientist/v15r0
-  #export OIVFLAGS "-I${OIVHOME}/Resources/CoinXt/include -I${OIVHOME}/Resources/CoinGL/include"
-  #export OIVLIBS "-L${OIVHOME}/lib -lCoinXt -losc_Coin"
   #export DYLD_LIBRARY_PATH "${DYLD_LIBRARY_PATH}:${OIVHOME}/lib"
   # OpenScientist devel Coin* :
   #export COINGLHOME /barrand/OpenScientist/dev/CoinGL/v1r244p0
   #export COINXTHOME /barrand/OpenScientist/dev/CoinXt/v1r122p0
-  unset COINGLHOME
-  unset COINXTHOME
-  unset OIVFLAGS
-  unset OIVLIBS
+  #  unset COINGLHOME
+  #  unset COINXTHOME
+  #  unset OIVFLAGS
+  #  unset OIVLIBS
   export DYLD_LIBRARY_PATH="${DYLD_LIBRARY_PATH}:${COINGLHOME}/Darwin:${COINXTHOME}/Darwin"
   #export XENVIRONMENT visTutor/g4Xt.xrm
-#  export DYLD_BIND_AT_LAUNCH 1
+  #  export DYLD_BIND_AT_LAUNCH 1
   #//////////////////////////////////////////////////////////
   # AIDA :
Index: /additional/scripts/specific-geant4-dev-10.5-Qt3.sh
===================================================================
--- /additional/scripts/specific-geant4-dev-10.5-Qt3.sh	(revision 1296)
+++ /additional/scripts/specific-geant4-dev-10.5-Qt3.sh	(revision 1297)
@@ -28,4 +28,7 @@
 #  export QTHOME=/usr/local/Qt/3.3.8
   export QTHOME="/sw"
+  unset QTFLAGS
+  unset QTLIBS
+
   # ////////////////////////////////////////////////////////
   # Correction of a bug on OpenGL : 
Index: /additional/scripts/specific-geant4-dev-10.6-Qt-OI.sh
===================================================================
--- /additional/scripts/specific-geant4-dev-10.6-Qt-OI.sh	(revision 1296)
+++ /additional/scripts/specific-geant4-dev-10.6-Qt-OI.sh	(revision 1297)
@@ -9,4 +9,5 @@
   export MAKECMD=make
   export G4INSTALL=/Users/garnier/Work/Geant4-QtDriver/trunk
+#  export G4INSTALL=/Users/garnier/Work/geant4.9.0.p02
   export G4SYSTEM=Darwin-g++
   export G4WORKDIR=$G4INSTALL
@@ -38,7 +39,9 @@
   #//////////////////////////////////////////////////////////
   # GUI :
-  export QTHOME=/usr/local/Qt4.6_g++-64/
-  export QTFLAGS="-I${QTHOME}/include/QtCore -I${QTHOME}/include/QtGui -I${QTHOME}/include/QtOpenGL  -I${QTHOME}/include -DQ_WS_MAC32"
-  export QTLIBPATH="-F${QTHOME}/lib" 
+#  export QTHOME=/usr/local/Qt4.6_g++-64/
+  export QTHOME=/usr/local/Qt4.6-stable-06_01_2010_g++-64/
+# /usr/local/Qt4.6-head_g++-64
+  export QTFLAGS="-I${QTHOME}/include/QtCore -I${QTHOME}/include/QtGui -I${QTHOME}/include/QtOpenGL  -I${QTHOME}/include"
+  export QTLIBPATH="-F${QTHOME}/lib  -F/System/Library/Frameworks/ -framework OpenGL " 
 
   export G4UI_BUILD_XM_SESSION=1
Index: /additional/scripts/specific-geant4-dev-VBox-ubuntu-Qt3.sh
===================================================================
--- /additional/scripts/specific-geant4-dev-VBox-ubuntu-Qt3.sh	(revision 1296)
+++ /additional/scripts/specific-geant4-dev-VBox-ubuntu-Qt3.sh	(revision 1297)
@@ -45,5 +45,4 @@
   export QTMOC="/usr/bin/moc-qt3"
 
-
   #//////////////////////////////////////////////////////////
   # Inventor :