Index: trunk/examples/novice/N03/visTutor/exN03Vis10.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis10.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis10.mac	(revision 1302)
@@ -1,4 +1,4 @@
 #######################################################################
-#  MACRO FILE NAME: exN03Vis10.mac                                     #
+#  MACRO FILE NAME: exN03Vis10.mac                                    #
 #                                                                     #
 #  AUTHOR(S): Guy Barrand                                             #
@@ -8,5 +8,5 @@
 #  CONTENTS: A basic macro for demonstrating Inventor driver          #
 #                                                                     #
-#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis6.mac             #
+#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis10.mac            #
 #                                                                     #
 #  REQUIRED PLATFORMS & SOFTWARES: Windows,                           #
Index: trunk/examples/novice/N03/visTutor/exN03Vis11.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis11.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis11.mac	(revision 1302)
@@ -1,4 +1,4 @@
 #######################################################################
-#  MACRO FILE NAME: exN03Vis11.mac                                     #
+#  MACRO FILE NAME: exN03Vis11.mac                                    #
 #                                                                     #
 #  AUTHOR(S): Guy Barrand dd                                          #
Index: trunk/examples/novice/N03/visTutor/exN03Vis12.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis12.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis12.mac	(revision 1302)
@@ -8,5 +8,5 @@
 #  CONTENTS: A basic macro for demonstrating time slicing             #
 #                                                                     #
-#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis12.mac             #
+#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis12.mac            #
 #                                                                     #
 #  REQUIRED PLATFORMS & SOFTWARES: Mac/Unix with X-Windows, OpenGL    #
Index: trunk/examples/novice/N03/visTutor/exN03Vis13.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis13.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis13.mac	(revision 1302)
@@ -8,5 +8,5 @@
 #  CONTENTS: Time development of an electrmagnetic shower.            #
 #                                                                     #
-#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis12.mac             #
+#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis13.mac            #
 #                                                                     #
 #  REQUIRED PLATFORMS & SOFTWARES: Mac/Unix with X-Windows, OpenGL    #
Index: trunk/examples/novice/N03/visTutor/exN03Vis14.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis14.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis14.mac	(revision 1302)
@@ -13,5 +13,4 @@
 #                                                                     #
 #  REQUIRED PLATFORMS & SOFTWARES: Unix, X-window, OpenGL,Qt          #
-#                                  DAWN (version 3.85 or after)       #
 #                                  gv (Ghostview), Tcl/Tk             #
 #                                                                     #
@@ -51,106 +50,59 @@
 /vis/open OGLSQt
 
-# Bird's-eye view of the detector geometry 
+# Bird's-eye view of the whole detector components (world)
 #
-#  viewpoint  : (theta,phi) = (20*deg, 70*deg), 
-#  zoom factor: 0.8 of the full screen size
-#
-/vis/viewer/reset
-/vis/viewer/set/viewpointThetaPhi  20 70
-/vis/viewer/zoom               0.8 
-/vis/drawVolume
-
-# The following two commands "flush" 
-#  the action of the current viewer.
-#  They are required for the post-processing drivers 
-#  such as DAWNFILE, VRMLFILE, HepRep drivers, etc.
-#  For OpenGL drivers, these commands are not required
-#  but harmless even if they are described.
-/vis/viewer/flush
-
-##########################################################
-# Visualization with the DAWNFILE driver
-#
-#  * Each visualized view is saved to a file "g4_XX.eps"  
-#    with the "vectorized" PostScript format.
-#
-#  * Set an environmental variable if you wish to 
-#    skip DAWN GUI:
-#     % setenv G4DAWNFILE_VIEWER "dawn -d"
-##########################################################
-
-# Invoke the DAWNFILE driver 
-/vis/open DAWNFILE
-
-# Bird's-eye view of a detector component (Absorber)
-#  viewpoint  : (theta,phi) = (35*deg, 35*deg), 
-#  zoom factor: 1.1 of the full screen size
-#  coordinate axes:
+#   viewpoint  : (theta,phi) = (35*deg, 35*deg), 
+#   zoom factor: 5.0 of the full screen size
+#   coordinate axes:
 #     x-axis:red,  y-axis:green,  z-axis:blue
 #     origin: (0,0,0),  length: 500
-#  Scale: length = 10 cm, Orientation = z, color = red, 
+#   Scale: length = 10 cm, Orientation = z, color = red, 
 #         placing_algorithm = manual, 
 #         center = (-2.5 cm , -5 cm, 0 cm)
 #
 /vis/viewer/reset
-/vis/viewer/zoom               1.1
+/vis/viewer/zoom               5.0
 /vis/viewer/set/viewpointThetaPhi  35 35
-/vis/drawVolume           Absorber 
+/vis/drawVolume 
 /vis/scene/add/axes      0 0 0 500 mm
-/vis/scene/add/text      0 0 0 mm  40 -100 -140   Absorber 
+/vis/scene/add/text      0 0 0 mm 50 -100 -240   World
 /vis/scene/add/scale     10 cm z 1 0 0 manual -2.5 -5 0  cm
+#/vis/scene/add/scale     10 cm x 1 0 0 
 
-# "Flush the action of all the existing viewers.
-#   Note: You should execute these commands, e.g.,  
-#         when the current scene is modified.
+# Bird's-eye view of a detector component (Absorber)
+#
+#/vis/viewer/reset
+#/vis/viewer/zoom               1.1
+#/vis/viewer/set/viewpointThetaPhi  35 35
+#/vis/drawVolume           Absorber 
+#/vis/scene/add/axes      0 0 0 500 mm
+#/vis/scene/add/text      0 0 0 mm  40 -100 -140   Absorber 
+#/vis/scene/add/scale     10 cm z 1 0 0 manual -2.5 -5 0  cm
+
+# Bird's-eye view of a detector component (Gap)
+#
+#/vis/viewer/reset
+#/vis/viewer/zoom               1.1
+#/vis/viewer/set/viewpointThetaPhi  35 35
+#/vis/drawVolume                Gap 
+#/vis/scene/add/axes  	  0 0 0 500 mm
+#/vis/scene/add/text       0 0 0 mm  50 -100 -140   Gap 
+#/vis/scene/add/scale      10 cm z 1 0 0 manual -2.5 -5  0 cm
+
+# Commands for setting up drawing of tracks ...
+#
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+/vis/scene/endOfEventAction accumulate
+
+# Flush the action of all the existing viewers
+#
 /vis/scene/notifyHandlers
 /vis/viewer/update
 
-# FOR FUTURE UPDATION
-#/vis/viewer/flushAll
-
-# Bird's-eye view of a detector component (Gap)
-/vis/viewer/reset
-/vis/viewer/zoom               1.1
-/vis/viewer/set/viewpointThetaPhi  35 35
-/vis/drawVolume                Gap 
-/vis/scene/add/axes  	  0 0 0 500 mm
-/vis/scene/add/text       0 0 0 mm  50 -100 -140   Gap 
-/vis/scene/add/scale      10 cm z 1 0 0 manual -2.5 -5  0 cm
-
-# "Flush the action of all the existing viewers.
-/vis/scene/notifyHandlers
-/vis/viewer/update
-
-# FOR FUTURE UPDATION
-#/vis/viewer/flushAll
-
-
-# Bird's-eye view of the whole detector components (world)
-#  * The argument "world" of the command 
-#    "/vis/scene/add/volume" is omittable.
-#  * "/vis/viewer/set/culling false" makes the invisible 
-#    world volume visible.
-#    (The invisibility of the world volume is set 
-#     in ExN03DetectorConstruction.cc.)
-/vis/viewer/reset
-/vis/viewer/zoom               1.1
-/vis/viewer/set/viewpointThetaPhi  35 35
-/vis/viewer/set/culling         global false
-/vis/drawVolume 
-/vis/scene/add/axes      0 0 0 500 mm
-/vis/scene/add/text      0 0 0 mm 50 -100 -240   World
-/vis/scene/add/scale     10 cm x 1 0 0 
-
-# "Flush the action of all the existing viewers.
-/vis/scene/notifyHandlers
-/vis/viewer/update
-
-# FOR FUTURE UPDATION
-#/vis/viewer/flushAll
-
-
 # Make the culling on for next visualization
-#  Note: You may also use "/vis/viewer/reset" 
-#        for this initialization. 
+# Note: You may also use "/vis/viewer/reset" for this initialization
+#
 /vis/viewer/set/culling       global true
Index: trunk/examples/novice/N03/visTutor/exN03Vis15.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis15.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis15.mac	(revision 1302)
@@ -1,4 +1,4 @@
 #######################################################################
-#  MACRO FILE NAME: exN03Vis12.mac                                     #
+#  MACRO FILE NAME: exN03Vis15.mac                                    #
 #                                                                     #
 #  AUTHOR(S): Laurent Garnier                                         #
@@ -8,5 +8,5 @@
 #  CONTENTS: A basic macro for demonstrating Inventor driver          #
 #                                                                     #
-#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis12.mac            #
+#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis15.mac            #
 #                                                                     #
 #  REQUIRED PLATFORMS & SOFTWARES: Unix, Motif, X-window, OpenGL ,Qt  #
@@ -15,10 +15,10 @@
 #  (See geant4/source/visualization/README for details.)              #
 #                                                                     #
-#    % setenv G4VIS_BUILD_OGLQT
+#    % setenv G4VIS_BUILD_OGLQT 1                                     #
 #                                                                     #
 #  ENVIRONMENTAL VARIABLES (C-MACROS) FOR COMPILATION:                #
 #  (See geant4/source/visualization/README for details.)              #
 #                                                                     #
-#    % setenv G4VIS_USE_OGLQT               1                          #
+#    % setenv G4VIS_USE_OGLQT 1                                       #
 #                                                                     # 
 #  ADDITIONAL NOTES:                                                  #
@@ -27,12 +27,16 @@
 
 # Create "scene-0" 
+#
 /vis/scene/create
 
 # Invoke the Qt driver 
+#
 /vis/sceneHandler/create OGLSQt
 /vis/viewer/create
 
 # Add the world volume to the current scene
+#
 /vis/scene/add/volume
+
 #/vis/scene/add/volume Layer
 # Name of the absorbers = name of their material (Lead) !
@@ -40,12 +44,19 @@
 # Name of the gaps = name of their material (liquidArgon) !
 #/vis/scene/add/volume liquidArgon
-#/vis/scene/add/trajectories
+
 /tracking/storeTrajectory 1
 
 # Bird-eye view of events
+#
 /vis/viewer/reset
 /vis/viewer/set/viewpointThetaPhi 45 45 
 
 /vis/scene/notifyHandlers
+
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+/vis/scene/endOfEventAction accumulate
 
 /control/verbose 2
Index: trunk/examples/novice/N03/visTutor/exN03Vis5.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis5.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis5.mac	(revision 1302)
@@ -8,5 +8,5 @@
 #  CONTENTS: A basic macro for demonstrating Inventor driver          #
 #                                                                     #
-#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis6.mac             #
+#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis5.mac             #
 #                                                                     #
 #  REQUIRED PLATFORMS & SOFTWARES: Unix, Motif, X-window, OpenGL,     #
Index: trunk/examples/novice/N03/visTutor/exN03Vis6.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis6.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis6.mac	(revision 1302)
@@ -15,5 +15,5 @@
 #  USAGE:  % gmake visclean                                           #
 #          % $G4BINDIR/exampleN03                                     #
-#          Idle> /control/execute visTutor/exN03Vis7.mac              #
+#          Idle> /control/execute visTutor/exN03Vis6.mac              #
 #                                                                     #
 #  REQUIRED PLATFORMS & SOFTWARES: Unix, X-window,                    #
@@ -28,13 +28,8 @@
 #    * Unnecessary                                                    #
 #                                                                     #
-#  RECOMMENDED ENVIRONMENTAL VARIABLES FOR VISUALIZATION:             #
+#  OPTIONAL ENVIRONMENTAL VARIABLES FOR VISUALIZATION:                #
 #                                                                     #
-#    % setenv G4VRMLFILE_VIEWER        vrmlview                       #
-#     ( The default value is "NONE".)                                 #
-#                                                                     #
-#  ADDITIONAL NOTES:                                                  #
-#   The VRML-file viewer "vrmlview" is obtainable from the following  #
-#   Web site:                                                         #
-#      http://www.sim.no/downloads.html                               #
+#    % setenv G4VRMLFILE_VIEWER vrmlview                              #
+#     ( Example for 'vrmlview'. The default value is "NONE".)         #
 #                                                                     #
 #######################################################################
Index: trunk/examples/novice/N03/visTutor/exN03Vis7.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis7.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis7.mac	(revision 1302)
@@ -13,5 +13,5 @@
 #          % make visclean                                            #
 #          % $G4BINDIR/exampleN03                                     #
-#          Idle> /control/execute visTutor/exN03Vis8.mac              #
+#          Idle> /control/execute visTutor/exN03Vis7.mac              #
 #          Idle> exit                                                 #
 #          % gv g4_00.eps &                                           #
@@ -31,6 +31,4 @@
 #                                                                     #
 #    * Unnecessary                                                    #
-#                                                                     # 
-#  ADDITIONAL NOTES:                                                  #
 #                                                                     # 
 #######################################################################
Index: trunk/examples/novice/N03/visTutor/exN03Vis8.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis8.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis8.mac	(revision 1302)
@@ -19,5 +19,5 @@
 #          % gmake visclean                                           #
 #          % $G4BINDIR/exampleN03                                     #
-#          Idle> /control/execute visTutor/exN03Vis9.mac              #
+#          Idle> /control/execute visTutor/exN03Vis8.mac              #
 #          Idle> exit                                                 #
 #          % gv g4_00.eps                                             #
Index: trunk/examples/novice/N03/visTutor/exN03Vis9.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/exN03Vis9.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/exN03Vis9.mac	(revision 1302)
@@ -2,8 +2,8 @@
 #  MACRO FILE NAME: exN03Vis9.mac                                     #
 #                                                                     #
-#  AUTHOR(S): Guy Barrand
+#  AUTHOR(S): Guy Barrand                                             #
 #                                                                     #
 #  DATE:                                                              #
-#        Appril   08, 2004                                            #
+#        April   08, 2004                                             #
 #                                                                     #
 #  CONTENTS: A simplest macro to demonstrate visualization of         #
Index: trunk/examples/novice/N03/visTutor/gui.mac
===================================================================
--- trunk/examples/novice/N03/visTutor/gui.mac	(revision 1234)
+++ trunk/examples/novice/N03/visTutor/gui.mac	(revision 1302)
@@ -33,6 +33,4 @@
 /gui/addButton vis Vis3(OGLSX) "/control/execute visTutor/exN03Vis3.mac"
 /gui/addButton vis Vis4(OGLIX) "/control/execute visTutor/exN03Vis4.mac"
-/gui/addButton vis Vis15(OGLIQt) "/control/execute visTutor/exN03Vis15.mac"
-/gui/addButton vis Vis14(OGLSQt) "/control/execute visTutor/exN03Vis14.mac"
 /gui/addButton vis Vis5(OIX)   "/control/execute visTutor/exN03Vis5.mac"
 /gui/addButton vis Vis6(VRML2FILE) "/control/execute visTutor/exN03Vis6.mac"
@@ -42,4 +40,8 @@
 /gui/addButton vis Vis10(OIWin32) "/control/execute visTutor/exN03Vis10.mac"
 /gui/addButton vis Vis11(OGLSXm) "/control/execute visTutor/exN03Vis11.mac"
+/gui/addButton vis Vis12(OGLSX) "/control/execute visTutor/exN03Vis12.mac"
+/gui/addButton vis Vis13(OGLSX) "/control/execute visTutor/exN03Vis13.mac"
+/gui/addButton vis Vis14(OGLSQt) "/control/execute visTutor/exN03Vis14.mac"
+/gui/addButton vis Vis15(OGLSQt) "/control/execute visTutor/exN03Vis15.mac"
 #
 # Viewer menu :